# $Revision: 1.14 $, $Date: 2011/02/04 18:24:04 $
Summary:	GNOME integration for swfdec Flash rendering library
Summary(pl.UTF-8):	Integracja z GNOME biblioteki renderującej animacje Flash swfdec
Name:		swfdec-gnome
Version:	2.30.1
Release:	2
License:	GPL v2+
Group:		X11/Applications/Multimedia
Source0:	http://ftp.gnome.org/pub/GNOME/sources/swfdec-gnome/2.30/%{name}-%{version}.tar.bz2
# Source0-md5:	28a72e9c2ad79f33e4cf83bbd54fa124
URL:		http://swfdec.freedesktop.org/wiki/
BuildRequires:	GConf2-devel
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1:1.6
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.26.0
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.357
BuildRequires:	swfdec-devel >= 0.8.0
BuildRequires:	swfdec-gtk-devel >= 0.8.0
# for thumbnailer
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires(post,preun):	GConf2
Requires:	swfdec-gtk >= 0.8.0
Obsoletes:	swfdec-icons <= 0.7.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains programs to integrate Flash functionality
provided by swfdec libraries into the GNOME desktop. Its main
application is swfdec-player, a stand-alone viewer for Flash files. It
also contains swfdec-thumbnailer, a program that provides screenshots
for files to display in the Nautilus file manager.

%description -l pl.UTF-8
Ten pakiet zawiera programy integrujące obsługę plików Flash
zapewnianą przez biblioteki swfdec ze środowiskiem GNOME. Główna
aplikacja to swfdec-player - samodzielny odtwarzacz plików Flash.
Pakiet zawiera także program swfdec-thumbnailer, dostarczajacy migawki
plików do wyświetlania w zarządcy plików Nautilus.

%prep
%setup -q

%{__sed} -i -e 's/^en@shaw//' po/LINGUAS
rm -f po/en@shaw.po

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-install

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install swfdec-thumbnailer.schemas
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall swfdec-thumbnailer.schemas

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README
# player
%attr(755,root,root) %{_bindir}/swfdec-player
%{_datadir}/swfdec-gnome
%{_desktopdir}/swfdec-player.desktop
# thumbnailer
%attr(755,root,root) %{_bindir}/swfdec-thumbnailer
%{_sysconfdir}/gconf/schemas/swfdec-thumbnailer.schemas
%{_mandir}/man1/*
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: swfdec-gnome.spec,v $
Revision 1.14  2011/02/04 18:24:04  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.13  2010/10/01 17:07:56  megabajt
- updated to 2.30.1

Revision 1.12  2010/07/13 06:39:04  hawk
- release 2

Revision 1.11  2010/04/02 18:41:09  sls
- removed en@shaw locale

Revision 1.10  2010/04/02 18:07:12  sls
- ver. 2.30.0

Revision 1.9  2009/03/29 13:27:25  megabajt
- updated to 2.26.0

Revision 1.8  2008/10/13 11:43:15  sls
- __intltoolize

Revision 1.7  2008/10/07 20:50:59  dzeus
- md5

Revision 1.6  2008/10/07 20:48:52  dzeus
- up to 2.24.0

Revision 1.5.2.2  2008/09/13 10:32:53  patrys
- 2.23.4

Revision 1.5.2.1  2008/07/31 08:02:15  patrys
- 2.23.2
- icons now part of GNOME package

Revision 1.5  2008-04-11 22:13:25  sls
- ver. 2.22.2

Revision 1.4  2008-03-12 12:35:20  patrys
- 2.22.0
- merged from DEVEL

Revision 1.3.2.2  2008-03-12 12:34:45  patrys
- 2.22.0

Revision 1.3.2.1  2008-02-06 15:57:16  patrys
- 2.21.90
- now part of GNOME

Revision 1.3  2007-12-18 22:12:03  vip
- up to 0.5.5

Revision 1.2  2007-12-16 12:20:22  qboosh
- requires equal version of swfdec

Revision 1.1  2007-12-16 12:09:44  qboosh
- new
